/// <reference types="node" />
export interface MulterOptions {
    dest?: string;
    storage?: any;
    limits?: {
        fieldNameSize?: number;
        fieldSize?: number;
        fields?: number;
        fileSize?: number;
        files?: number;
        parts?: number;
        headerPairs?: number;
    };
    preservePath?: boolean;
    fileFilter?: (req: any, file: MulterFile, callback: (error: Error | null, acceptFile: boolean) => void) => void;
}
export interface MulterField {
    name: string;
    maxCount?: number;
}
export interface MulterFile {
    fieldname: string;
    originalname: string;
    encoding: string;
    mimetype: string;
    size: number;
    destination: string;
    filename: string;
    path: string;
    buffer: Buffer;
}
