"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformException = void 0;
const common_1 = require("@nestjs/common");
const multer_constants_1 = require("./multer.constants");
function transformException(error) {
    if (!error || error instanceof common_1.HttpException) {
        return error;
    }
    if ([
        multer_constants_1.multerExceptions.LIMIT_FILE_COUNT,
        multer_constants_1.multerExceptions.LIMIT_FIELD_KEY,
        multer_constants_1.multerExceptions.LIMIT_FIELD_VALUE,
        multer_constants_1.multerExceptions.LIMIT_FIELD_COUNT,
        multer_constants_1.multerExceptions.LIMIT_UNEXPECTED_FILE,
        multer_constants_1.multerExceptions.LIMIT_PART_COUNT
    ].includes(error.message)) {
        return new common_1.BadRequestException(error.message);
    }
    else if (error.message === multer_constants_1.multerExceptions.LIMIT_FILE_SIZE) {
        return new common_1.PayloadTooLargeException(error.message);
    }
    return error;
}
exports.transformException = transformException;
//# sourceMappingURL=multer.utils.js.map